<script type="text/javascript">
	$(document).ready(function(){
		
	cari_itf();
	
	function cari_itf(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/pener_kas/cari_itf.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_piut").val(data.nopiut);
				$("#txt_persed").val(data.nopers);
				$("#txt_utang").val(data.noutdg);
				$("#txt_labapb").val(data.labapb);
				$("#txt_jual").val(data.jual);
				$("#txt_labrug").val(data.labrug);
				$("#mulai").focus();
			}
		});
	}

	$("#mulai").click(function(){
		$(".input_detail").val('');
		$(".input_header").val('');
		$("#txt_total").val('');
		cari_tgl();
	});
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}
	
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/cari_nomor.php",
			data	: "tanggal="+tanggal,
			dataType: "json",
			success	: function(data){				
				$("#txt_kode").val(data.nomor);				
				$('#data_detail').show();				
				cek_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function cek_nourut(){
		var kode 	= $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
			}
		});
	}
	
	function tampil_data_detail(){		
		var kode = $("#txt_kode").val();
		
		$("#data_detail").load("modul/pengel_kas/tampil_data_detail.php?kode="+kode);		
		cari_total();
	}
	
	$("#txt_tanggal").keyup(function(){
		cari_nomor();
	});
	
	function cari_total(){
		var kode = $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/cari_total.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_total").val(data.total);				
			}
		});
	}
	
	$('#form_cari_bkk').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
		
	$('#cari_bkk').click(function(){
		$("#info_kk").load('modul/pengel_kas/tampil_nobkk.php');
		$('#form_cari_bkk').dialog('open');
		$("#txt_carikode").focus();		
	});
		
	$("#txt_carikode").keyup(function(){
		var cari = $("#txt_carikode").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/tampil_nobkk.php",
			data	: "cari="+cari,
			timeout	: 1000,
			beforeSend	: function(){		
				$("#info_kk").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_kk").html(data);				
			}
		});
	});
			
	$('#form_cari_kas').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#txt_namakas').keyup(function(){		
		var cari= $("#txt_carikas").val();
		$('#form_cari_kas').dialog('open');
		$("#info_kas").load('modul/pengel_kas/tampil_data_kas.php');
		$("#txt_carikas").focus();		
	});
	
	$("#txt_carikas").keyup(function(){
		var cari= $("#txt_carikas").val();
		
		$.ajax({
			type	: "GET",
			url		: "modul/pengel_kas/tampil_data_kas.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_kas").html(data);				
			}
		});
	});
	
	$('#form_cari_akun').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$('#txt_naakun').click(function(){
		var cari	= $("#txt_caribb").val();
		$('#form_cari_akun').dialog('open');
		$("#info_bb").load('modul/pengel_kas/tampil_data_akun.php?cari='+cari);
		$("#txt_caribb").focus();		
	});
	
	$('#txt_naakun').keyup(function(){
		var cari	= $("#txt_caribb").val();
		$('#form_cari_akun').dialog('open');
		$("#info_bb").load('modul/pengel_kas/tampil_data_akun.php?cari='+cari);
		$("#txt_caribb").focus();		
	});
	
	$("#txt_caribb").keyup(function(){
		var cari	= $("#txt_caribb").val();
				
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/tampil_data_akun.php",
			data	: "cari="+cari,
			timeout	: 1000,
			beforeSend	: function(){		
				$("#info_bb").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bb").show();
				$("#info_bb").html(data);
			}
		});
	});
	
	$('#form_cari_bp').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$("#txt_namabp").keyup(function(){
		var adabp = $("#txt_adabp").val();
		var cari = $("#txt_caribp").val();
		
		if(adabp==''){
			alert('Kode akun '+nobb+' tidak memiliki buku pembantu.');
			$("#txt_jumlah").focus();
			return (false);
		}else{
			var nobb = $("#txt_noakun").val();
			
			$('#form_cari_bp').dialog('open');
			$("#info_bp").load("modul/pengel_kas/tampil_data_bp.php?nobb="+nobb+'&cari='+cari);
			$("#txt_caribp").focus();
			return false;
		}
	});
	
	$("#txt_caribp").keyup(function(){
		var cari = $("#txt_caribp").val();
		var nobb = $("#txt_noakun").val();
		
		$.ajax({
			type	: "GET",
			url		: "modul/pengel_kas/tampil_data_bp.php",
			data	: "cari="+cari+
					"&nobb="+nobb,
			timeout	: 1000,
			beforeSend	: function(){		
				$("#info_bp").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bp").html(data);				
			}
		});
	});
	
	$('#form_cari_ud').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
	
	$("#txt_nofak").keyup(function(){
		var utang= $("#txt_utang").val();
		var nobb = $("#txt_noakun").val();
		var nobp = $("#txt_nobp").val();
		var cari = $("#txt_cariud").val();
		
		if(nobb==utang){
			$("#info_ud").show();
			$("#info_ud").load('modul/pengel_kas/tampil_data_ud.php?nobp='+nobp);
			$('#form_cari_ud').dialog('open');			
			$("#txt_cariud").focus();
		}
	});
	
	$("#txt_cariud").keyup(function(){
		var cari = $("#txt_cariud").val();
		var nobp = $("#txt_nobp").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/tampil_data_ud.php",
			data	: "cari="+cari+
					"&nobp="+nobp,
			timeout	: 1000,
			beforeSend	: function(){		
				$("#info_ud").html("<img src='loading.gif' />");
			},				  
			success	: function(data){
				$("#info_ud").html(data);
			}
		});
	});
	
	$("#simpan").click(function(){
		simpan_data();
	});
			
	function simpan_data(){
		var	kode	= $("#txt_kode").val();
		var	tanggal	= $("#txt_tanggal").val();
		var	nokas   = $("#txt_nokas").val();		
		var	nakas  	= $("#txt_namakas").val();
		var	pener 	= $("#txt_pener").val();
		var	nourut  = $("#txt_nourut").val();
		var	noakun	= $("#txt_noakun").val();
		var	nobp  	= $("#txt_nobp").val();
		var	kodecab	= $("#txt_kodecab").val();
		var	nofak 	= $("#txt_nofak").val();
		var	naakun 	= $("#txt_naakun").val();
		var	namabp 	= $("#txt_namabp").val();
		var	ket    	= $("#txt_ket").val();
		var	jumlah	= $("#txt_jumlah").val();
		var	diskon	= $("#txt_diskon").val();
		
		if(tanggal.length == 0){
           alert("Maaf, Tanggal bkk tidak boleh kosong.");
		   return (false);
        }
		if(nokas.length == 0){
			alert("Maaf, Nomor akun kas masih kosong");
			$("#txt_nokas").focus();
			return (false);
        }
		if(noakun.length == 0){
           alert("Maaf, Kode Akun  tidak boleh kosong");
		   $("#txt_noakun").focus();
		   return (false);
        }
        if(kodecab.length == 0){
           alert("Maaf, Kode cabang  tidak boleh kosong");
		   $("#txt_kodecab").focus();
		   return (false);
        }
		if(nobp.length == 0){
			var adabp = $("#txt_adabp").val();
			
			if(!adabp==''){
				alert("Maaf, Anda belum memilih kode Buku Pembantu.");
				$("#txt_noakun").focus();
				return (false);
			}
        }
		
		if(nofak.length == 0){
			var utang= $("#txt_utang").val();
			
			if(noakun==utang){
				alert("Maaf, Untuk akun hutang dagang, Nomor faktur tidak boleh kosong.");
				$("#txt_noakun").focus();
				return (false);
			}
        }
		
		if(ket.length == 0){
           alert("Maaf, Kolom keterangan tidak boleh kosong");
		   $("#txt_ket").focus();
		   return (false);
        }
		if(jumlah.length == 0){
			alert("Maaf, Kolom jumlah tidak boleh kosong.");
			$("#txt_jumlah").focus();
			return (false);
        }
		 
		$.ajax({
			type	: "POST",
			url		: "modul/pengel_kas/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&nokas="+nokas+
					"&nakas="+nakas+
					"&pener="+pener+
					"&nourut="+nourut+
					"&noakun="+noakun+
					"&nobp="+nobp+
					"&kodecab="+kodecab+
					"&naakun="+naakun+
					"&namabp="+namabp+
					"&nofak="+nofak+
					"&ket="+ket+
					"&jumlah="+jumlah+
					"&diskon="+diskon,					
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_naakun").focus();
				cek_nourut();
				tampil_data_detail();				
			}
		});		
	}
	
	$("#tutup").click(function(){		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php
include "../../inc/inc.koneksi.php";
echo "<table width='100%'>	
	<tr>
		<input type='text' name='txt_piut' id='txt_piut' hidden />
		<input type='text' name='txt_persed' id='txt_persed' hidden />
		<input type='text' name='txt_utang' id='txt_utang' hidden />
		<input type='text' name='txt_labapb' id='txt_labapb' hidden />
		<input type='text' name='txt_jual' id='txt_jual' hidden />
		<input type='text' name='txt_labrug' id='txt_labrug' hidden />
		
		<td width='7%'>Nomor BKK</td>
		<td>: <input type='text' name='txt_kode' id='txt_kode' size='12' class='input_header' readonly />
			<img src='images/view.png' width='18' height='18' title='Cari BKK' id='cari_bkk'>
		</td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal' size='10' class='input_header' ></td>		
		<td>Akun Kas : <input type='text' name='txt_namakas' id='txt_namakas' size='19' class='input_header'>
			<input type='text' name='txt_nokas' id='txt_nokas' size='4' class='input_header' readonly />
		</td>
		<td>Penerima : <input type='text' name='txt_pener' id='txt_pener' size='20' class='input_header'></td>
	</tr>
	</table>
	
	<div id='form_bayar'>
	<table width='100%'>
	<tr>		
		<td width='7%'>Terbilang</td>
		<td>: <input type='text' name='txt_terbilang' id='txt_terbilang' size='60' class='input_header' readonly /></td>
	</tr>
	</table>
	<hr>
	</div>";

echo "<div id='form_input'>
	<table>
		<tr>
			<th>Nama Akun</th>
			<th>Kode Akun</th>
			<th>Nama BP</th>
			<th>Kode BP</th>			
			<th>No.Faktur</th>
			<th>Cabang</th>
			<th>Jumlah</th>
			<th>Diskon</th>
			<th>Keterangan</th>
		</tr>		
		<tr>
			<input type='text' name='txt_nourut' id='txt_nourut' hidden />
			<input type='text' name='txt_adabp' id='txt_adabp' hidden />
			<input type='text' name='txt_total' id='txt_total' hidden />
			<input type='text' name='txt_posting' id='txt_posting' class='input_detail' hidden />
			<td align='center'><input type='text' name='txt_naakun' id='txt_naakun' class='input_detail' size='20' ></td>
			<td align='center'><input type='text' name='txt_noakun' id='txt_noakun' class='input_detail' size='5' readonly /></td>
			<td align='center'><input type='text' name='txt_namabp' id='txt_namabp' class='input_detail' size='20' ></td>
			<td align='center'><input type='text' name='txt_nobp' id='txt_nobp' class='input_detail' size='8' maxlength='6' readonly /></td>
			<td align='center'><input type='text' name='txt_nofak' id='txt_nofak' class='input_detail' size='12'></td>
			<td><select id='txt_kodecab'>";
				$sql=mysql_query("SELECT * FROM cabang WHERE 1 ORDER BY kode_cab");
				while($r=mysql_fetch_array($sql)){
				    $kodecab=$r[kode_cab];
				    echo "<option value='$kodecab'>$r[nama_cab]</option>";
				}
			echo "</select>
		    </td>
			<td align='center'><input type='text' name='txt_jumlah' id='txt_jumlah' class='input_detail' size='12' ></td>
			<td align='center'><input type='text' name='txt_diskon' id='txt_diskon' class='input_detail' size='10' ></td>
			<td align='center'><input type='text' name='txt_ket' id='txt_ket' class='input_detail' size='38'></td>
		</tr>
	</table>
	
	<div id='form_ket'>
	<table width='100%'>
		<tr>
			<td align='center'>
				<button name='simpan' id='simpan'>Rekam</button>
				<button name='mulai' id='mulai'>Input BKK</button>
				<button name='tutup' id='tutup'>Tutup</button>
			</td>
		</tr>
	</table>
	</div>
	</div>";

echo "<div id='form_cari_bkk' title='Pencarian Bukti Kas Keluar'>
		<table width='100%'>
			<tr>
				<td width='20%'>Cari Nomor BKK</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_carikode' id='txt_carikode' size='15'</td>
			</tr>
		</table>
		
		<div id='info_kk' align='center'></div>
	</div>";
	
echo "<div id='form_cari_kas' title='Pencarian Akun kas'>
		<table width='100%'>
			<tr>
				<td width='20%'>Cari Akun kas</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_carikas' id='txt_carikas' size='40'</td>
			</tr>
		</table>
		<div id='info_kas' align='center'></div>
	</div>";

echo "<div id='data_detail'></div>";

echo "<div id='form_cari_akun' title='Pencarian Akun Buku Besar'>
		<table width='100%'>
			<tr>
				<td width='20%'>Cari Buku Besar</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_caribb' id='txt_caribb' size='40'</td>
			</tr>
		</table>
		<div id='info_bb' align='center'></div>
	</div>";

echo "<div id='form_cari_bp' title='Pencarian Akun Buku Pembantu'>
		<table width='100%'>
			<td>
				<td width='25%'>Cari Buku Pembantu</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_caribp' id='txt_caribp' size='30'</td>
			</td>
		</table>		
		<div id='info_bp' align='center'></div>
	</div>";
	
echo "<div id='form_cari_ud' title='Pencarian Data Hutang'>
		<table width='100%'>
			<td>
				<td width='20%'>Cari No.Faktur</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_cariud' id='txt_cariud' size='30'</td>
			</td>
		</table>
		<div id='info_ud' align='center'></div>
	</div>";
?>
